Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class PlatformPersistenceFailure

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.agent.JasException
                  javax.agent.service.ServiceFailure
                      com.ibm.able.platform.PlatformPersistenceFailure

All Implemented Interfaces:
  java.io.Serializable

public class PlatformPersistenceFailure
extends javax.agent.service.ServiceFailure

The PlatformPersistenceFailure is thrown when a platform persistence operation fails due to a problem with the platform persistence service infrastructure.

See Also:
  Serialized Form

Constructor Summary
`PlatformPersistenceFailure()` Create an PlatformPersistenceFailure with no message.
`PlatformPersistenceFailure(java.lang.String theMessage)` Create an PlatformPersistenceFailure with the specified message.
`PlatformPersistenceFailure(java.lang.String theMessage, java.lang.Exception theException)` Create an PlatformPersistenceFailure with the specified message and embedded exception.

Methods inherited from class javax.agent.JasException
`getCause, getMessage, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformPersistenceFailure

    public PlatformPersistenceFailure()

  Create an PlatformPersistenceFailure with no message.

### PlatformPersistenceFailure

    public PlatformPersistenceFailure(java.lang.String theMessage)

  Create an PlatformPersistenceFailure with the specified message.

Parameters:
  `theMessage` - the detail message.

### PlatformPersistenceFailure

    public PlatformPersistenceFailure(java.lang.String theMessage,
                                      java.lang.Exception theException)

  Create an PlatformPersistenceFailure with the specified message and embedded exception.

Parameters:
  `theMessage` - the detail message.
  `theException` - the embedded exception.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005